#ifndef SPLICEDIALOG_H
#define SPLICEDIALOG_H

#include <QDialog>
#include "./declarative/qmlscreen.h"
#include <QFrame>
#include <QLabel>
#include <QComboBox>

namespace Ui {
class SpliceDialog;
}

class SpliceDialog : public QDialog
{
    Q_OBJECT

public:
    explicit SpliceDialog(QWidget *parent = nullptr);
    ~SpliceDialog();
    void createScreenFrame(int r, int c);
    void spliceComboBoxChanged(int selectId);
    void initSpliceComboBox();
    void createScreenLabel();
    void setScreenLabelPos();
    void init(KScreen::OutputList connectedOutputList);
    void getRowsAndColumnsList();

private:
    Ui::SpliceDialog *ui;
    QMLScreen *mScreen = nullptr;
    KScreen::OutputList mConnectedOutputList;
    QList<QPoint> rowsAndColumnsList;
    QList<QFrame *>screenFrameList;
    QList<QLabel *>screenLabelList;

Q_SIGNALS:
    void screenComboBoxChanged(QComboBox *comboBox, int currentIndex);
    void spliceScreenChanged(QString spliceMethodText);
};

#endif // SPLICEDIALOG_H
